@ECHO OFF

REM *************************************

REM ***   (c) NETZdinge.de 2018       ***

REM *************************************

REM ***        Einstellungen          ***

REM *************************************

REM *** Wichtig: Keine Leerstellen    ***

REM *** direkt vor und hinter dem "=" ***

REM *************************************



REM 
REM *************************************

REM *** Datenbankeinstellungen        ***
REM *************************************

set server=SERVER\JTLWAWI

set datenbank=eazybusiness
set benutzername=sa
set passwort=sa04jT14


REM 
REM *************************************

REM *** Pfadangabe zum SQL Script     ***
REM *************************************

set sql=D:\JTL-Scripte\Lieferzeit\script.sql



REM 
REM *************************************

REM *** Wann ist der Liefertag? *
REM *** Angabe als Zahl, Sonntag ist 0 **
REM *** Monatg ist 1 usw.             ***
REM *************************************

set liefertag=2 
REM 
REM *************************************

REM *** Wann ist der letzte Bestelltag? *
REM *** Angabe als Zahl, Sonntag ist 0 **
REM *** Monatg ist 1 usw.             ***
REM *************************************

set bestelltag=1 
REM 
REM *************************************

REM *** Setze hier die Deadline fr   ***
REM *** Die Bestellung beim Lieferan- ***
REM *** am Vortag der Lieferung.      ***
REM *** Angabe als Stunde im 24h Format *
REM *************************************
set bestelltagDeadline=13
REM
REM *************************************

REM *** Ab hier nichts mehr ndern!!! ***

REM *************************************



set Lieferant=%~1
REM 
REM *** Tag der Woche und resultierende Lieferzeit ermitteln ***

set tdw=
for /f %%g in ('wmic path win32_localtime get dayofweek^|findstr /v /r "^$"') do (
set tdw=%%g)
REM *** Fuer Debugging - Wochentag fest setzen - Beginn ***
REM set tdw=1
REM *** Fuer Debugging - Ende ***
set /A lieferzeit=%liefertag%-%tdw%
rem if %lieferzeit% lss 0 set /a lieferzeit=%lieferzeit%*-1
set lieferzeit_berechnet=%lieferzeit%

set /A bestelltagdifferenz=%liefertag%-%bestelltag%
if %bestelltagdifferenz% lss 0 set /a bestelltagdifferenz=%bestelltagdifferenz%*-1

REM *** Deadline prfen ***

set stunde=%time:~-11,2%
set deadlinetext=
if %tdw% == %bestelltag% (
	if %stunde% GEQ %bestelltagDeadline% (
		set /A lieferzeit+=7
		set deadlinetext=ueber Deadline am Bestelltag [Lieferzeit + 7 Tage]
	)
) 

if %tdw% GEQ %liefertag% (
	set /A lieferzeit+=7
	set deadlinetext=Heute ist Liefertag oder vorueber [Lieferzeit +7 Tage]
) ELSE (

	if %bestelltagdifferenz% GTR 1 (
		if %tdw% GTR %bestelltag% (
			set /A lieferzeit+=7
			set deadlinetext=Bestelltag vorueber aber vor Liefertag [Lieferzeit +7 Tage]
		)
	)
)
Echo.
Echo.
Echo *** START ***
Echo.
Echo Wochentag numerisch, 0 ist Sonntag, 1 ist Montag usw.
Echo --------------------------------------------------------
Echo Lieferant                                      : %Lieferant%
Echo --------------------------------------------------------
Echo aktueller Tag der Woche                        : %tdw%
Echo aktuelle Stunde                                : %stunde%
Echo --------------------------------------------------------
Echo Liefertag                                      : %liefertag%
Echo Bestelltag                                     : %bestelltag%
Echo Differenz Liefertag-Bestelltag                 : %bestelltagdifferenz%
Echo Deadline (Uhrzeit)                             : %bestelltagDeadline%
Echo ber. Lieferzeit (Differenz Liefertag - "Heute"): %lieferzeit_berechnet%
Echo --------------------------------------------------------
Echo %deadlinetext%
Echo Lieferzeit korrigiert (die wird gesetzt)       : %lieferzeit%
Echo.
Echo Start der Datenbankabfrage


Echo --------------------------------------------------------
SQLCMD -U %benutzername% -P %passwort% -S %server% -d %datenbank% -i %sql% -v lieferzeit ="%lieferzeit%" -v Lieferant ="%Lieferant%" -b -e
Echo.
Echo.
Echo *** ENDE ***